## quart 0.13.0

=== examples/http2_push/requirements.txt ===
quart
pillow==5.1.0

=== debian/changelog ===
quart (0.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 20 Jul 2020 20:16:24 +0200

quart (0.12.0-2) unstable; urgency=medium

  * Adjust Sphinx theme patching code (Closes: #965013).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 18 Jul 2020 11:41:53 +0200

quart (0.12.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Jul 2020 10:44:16 +0200

quart (0.11.3-1) experimental; urgency=low

  * Initial packaging (Closes: #953885).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 16 Mar 2020 15:52:09 +0100

=== debian/control ===
Source: quart
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-aiofiles,
 python3-all (>= 3.7),
 python3-asynctest,
 python3-blinker,
 python3-click,
 python3-dotenv,
 python3-hypercorn (>= 0.7.0),
 python3-hypothesis,
 python3-itsdangerous,
 python3-jinja2,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-asyncio,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-toml,
 python3-werkzeug (>= 1.0.0)
Standards-Version: 4.5.0
X-Python3-Version: >= 3.7
Testsuite: autopkgtest-pkg-python
Homepage: https://gitlab.com/pgjones/quart
Vcs-Browser: https://salsa.debian.org/python-team/modules/quart
Vcs-Git: https://salsa.debian.org/python-team/modules/quart.git

Package: python3-quart
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Python ASGI web microframework with the same API as Flask
 Quart is a Python ASGI web microframework. It is intended to provide the
 easiest way to use asyncio functionality in a web context, especially
 with existing Flask apps. This is possible as the Quart API is a superset
 of the Flask API.
 .
 Quart aims to be a complete web microframework, as it supports HTTP/1.1,
 HTTP/2 and websockets. Quart is very extendable and has a number of
 known extensions and works with many of the Flask extensions.
 .
 Quart supports the full ASGI 3.0 specification as well as the websocket
 response and HTTP/2 server push extensions. For those of you familiar
 with Flask, Quart extends the Flask API by adding support for:
 .
  * HTTP/1.1 request streaming
  * Websockets
  * HTTP/2 server push

Package: python-quart-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python ASGI web microframework with the same API as Flask (documentation)
 Quart is a Python ASGI web microframework. It is intended to provide the
 easiest way to use asyncio functionality in a web context, especially
 with existing Flask apps. This is possible as the Quart API is a superset
 of the Flask API.
 .
 Quart aims to be a complete web microframework, as it supports HTTP/1.1,
 HTTP/2 and websockets. Quart is very extendable and has a number of
 known extensions and works with many of the Flask extensions.
 .
 Quart supports the full ASGI 3.0 specification as well as the websocket
 response and HTTP/2 server push extensions. For those of you familiar
 with Flask, Quart extends the Flask API by adding support for:
 .
  * HTTP/1.1 request streaming
  * Websockets
  * HTTP/2 server push
 .
 This package contains the documentation and examples.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://gitlab.com/pgjones/quart/-/tags .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

# http://pypi.debian.net/Quart/Quart-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## quart 0.13.1

=== debian/changelog ===
quart (0.13.1-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Drop dependency on python3-asynctest.

  [ Ondřej Nový ]
  * Update Maintainer field with new Debian Python Team contact address.
  * Update Vcs-* fields with new Debian Python Team Salsa layout.
  * Use https protocol in the watch file.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 29 Sep 2020 09:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: quart
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
 Section: python
@@ -9,7 +9,6 @@
  dh-python,
  python3-aiofiles,
  python3-all (>= 3.7),
- python3-asynctest,
  python3-blinker,
  python3-click,
  python3-dotenv,
@@ -29,8 +28,8 @@
 X-Python3-Version: >= 3.7
 Testsuite: autopkgtest-pkg-python
 Homepage: https://gitlab.com/pgjones/quart
-Vcs-Browser: https://salsa.debian.org/python-team/modules/quart
-Vcs-Git: https://salsa.debian.org/python-team/modules/quart.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/quart
+Vcs-Git: https://salsa.debian.org/python-team/packages/quart.git
 
 Package: python3-quart
 Architecture: all

## quart 0.14.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Quart
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== examples/http2_push/requirements.txt ===
quart
pillow>=7.1.0

=== examples/todo_app/requirements.txt ===
Flask-SQLAlchemy
Flask-WTF
quart

=== debian/changelog ===
quart (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Feb 2021 10:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-aiofiles,
  python3-all (>= 3.7),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=quart

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	sed -i \
		-e 's,sphinx_rtd_theme,pydata_sphinx_theme,g' \
		-e 's,theme.get_html_theme_path(),theme.theme_path,g' \
		-e 's,version = ".*",version = meta_version("quart"),g' \
		docs/conf.py
	rm -rf docs/_build

override_dh_installdocs:
	dh_installdocs -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installdocs --remaining-packages

override_dh_auto_build:
	dh_auto_build
	sed -i \
		-e 's,pydata_sphinx_theme,sphinx_rtd_theme,g' \
		-e 's,theme.theme_path,theme.get_html_theme_path(),g' \
		-e 's,version = meta_version("quart"),version = "$(DEB_VERSION_UPSTREAM)",g' \
		docs/conf.py
	$(MAKE) -C docs clean html SPHINXBUILD=sphinx-build SPHINXOPTS="$(SPHINXOPTS)"

override_dh_installexamples:
	dh_installexamples -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installexamples --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_compress:
	dh_compress -X.py

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installdocs override_dh_installexamples override_dh_installchangelogs override_dh_compress

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://gitlab.com/pgjones/quart/-/tags .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

# https://pypi.debian.net/Quart/Quart-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## quart 0.18.3

=== debian/changelog ===
quart (0.18.3-2) unstable; urgency=medium

  * Team upload
  * d/control: Update some B-D by adding BuildProfileSpecs
  * d/u/metadata: Add fields Documentation, Security-Contact

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Dec 2022 20:13:00 +0100

quart (0.18.3-1) experimental; urgency=medium

  * Team upload

  [ Stefano Rivera ]
  * New upstream release.
  * Upstream now builds with poetry.

  [ Carsten Schoenert ]
  * d/gbp.conf: Set debian branch to debian/master
  * New upstream version 0.18.3
    (Closes: #1020729)
  * d/control: Update upstream Homepage URL
    The upstream project has moved to the umbrella of Pallets and lives now on
    GitHub.
  * d/copyright: Update upstream data
  * d/watch: Update url to watch on
  * d/control: Increase Standards-Version to 4.6.1
    No further modifications needed.
  * d/control: Adding entry Rules-Requires-Root: no
    No needs for root privileges while building.
  * d/control: Increase werkzeug version in Build-Depends
    The library si depending on werkzeug 2.2+ onwards
  * d/control: Update entries on python-quart-doc
  * d/u/metadata: Update entries due upstream project changes
    Reflect the changes given by the movement of the project home.
  * d/control: Sort binary packages alphabetical
  * d/rules: Adjust the target for dh_auto_build
  * python-quart-doc: Use dh_sphinxdoc for package build
  * d/rules: Adopt upstream changes into dh_installchangelogs
  * Lintian: Adding a override about the source
  * Lintian: Some overrides for python-quart-doc
  * d/control: Drop obsolete entry X-Python3-Version
  * d/README.source: Adding base information about source
  * autopkgtest: Run upstream tests for basic testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 18 Oct 2022 07:49:28 +0200

=== debian/control ===
Source: quart
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-aiofiles,
 python3-all (>= 3.7),
 python3-blinker,
 python3-click,
 python3-dotenv,
 python3-hypercorn (>= 0.11.2~),
 python3-hypothesis,
 python3-itsdangerous,
 python3-jinja2,
 python3-markupsafe,
 python3-poetry,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-toml,
 python3-werkzeug (>= 2.2.0~),
Rules-Requires-Root: no
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pallets/quart
Vcs-Browser: https://salsa.debian.org/python-team/packages/quart
Vcs-Git: https://salsa.debian.org/python-team/packages/quart.git

Package: python-quart-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python ASGI web microframework with the same API as Flask (Documentation)
 Quart is a Python ASGI web microframework. It is intended to provide the
 easiest way to use asyncio functionality in a web context, especially
 with existing Flask apps. This is possible as the Quart API is a superset
 of the Flask API.
 .
 Quart aims to be a complete web microframework, as it supports HTTP/1.1,
 HTTP/2 and websockets. Quart is very extendable and has a number of
 known extensions and works with many of the Flask extensions.
 .
 Quart supports the full ASGI 3.0 specification as well as the websocket
 response and HTTP/2 server push extensions. For those of you familiar
 with Flask, Quart extends the Flask API by adding support for:
 .
  * HTTP/1.1 request streaming
  * Websockets
  * HTTP/2 server push
 .
 This package contains the documentation and examples.

Package: python3-quart
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python ASGI web microframework with the same API as Flask
 Quart is a Python ASGI web microframework. It is intended to provide the
 easiest way to use asyncio functionality in a web context, especially
 with existing Flask apps. This is possible as the Quart API is a superset
 of the Flask API.
 .
 Quart aims to be a complete web microframework, as it supports HTTP/1.1,
 HTTP/2 and websockets. Quart is very extendable and has a number of
 known extensions and works with many of the Flask extensions.
 .
 Quart supports the full ASGI 3.0 specification as well as the websocket
 response and HTTP/2 server push extensions. For those of you familiar
 with Flask, Quart extends the Flask API by adding support for:
 .
  * HTTP/1.1 request streaming
  * Websockets
  * HTTP/2 server push

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1
export PYBUILD_NAME=quart

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sed -i 's,pydata_sphinx_theme,sphinx_rtd_theme,g' docs/conf.py
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "quart*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-quart-doc/usr/share/doc/python-quart-doc/html
	dh_sphinxdoc
endif

override_dh_installdocs:
	dh_installdocs -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installdocs --remaining-packages

override_dh_auto_build:
	# The name of the project need to be written in lowercase letters,
	# otherwise pybuild wont find the WHEEL file (as it's created from the
	# project name starting with an capital letter.
	sed -i 's,name = "Quart",name = "quart",g' pyproject.toml
	dh_auto_build

override_dh_installexamples:
	dh_installexamples -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
	dh_installexamples --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_compress:
	dh_compress -X.py

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installdocs override_dh_installexamples override_dh_installchangelogs override_dh_compress

## quart 0.19.4

=== debian/changelog ===
quart (0.19.4-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version 0.19.4
    (Closes: #1042259)
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Build-Depends: python3-flask

  [ Carsten Schoenert ]
  * d/gbp.conf: Don't use numbers in patch names
  * Add patch queue from patch-queue branch
    Added patch:
    docs-conf.py-Use-sphinx_rtd_theme-instead.patch
  * d/control: Keep B-D entries alphabetical
  * d/rules: Add override for dh_clean
  * d/rules: Drop direct modification of docs/conf.py
    Done now through patch queue.
  * d/rules: Undo modification of pyproject.toml after build
  * d/python-quart-doc.lintian-overrides: Update data content

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 12 Feb 2024 20:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,45 +1,44 @@
 Source: quart
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Andrej Shadura <andrewsh@debian.org>,
+Uploaders: Andrej Shadura <andrewsh@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- pybuild-plugin-pyproject,
- python3-aiofiles,
- python3-all (>= 3.7),
- python3-blinker,
- python3-click,
- python3-dotenv,
- python3-hypercorn (>= 0.11.2~),
- python3-hypothesis,
- python3-itsdangerous,
- python3-jinja2,
- python3-markupsafe,
- python3-poetry,
- python3-pytest <!nocheck>,
- python3-pytest-asyncio <!nocheck>,
- python3-pytest-cov <!nocheck>,
- python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
- python3-toml,
- python3-werkzeug (>= 2.2.0~),
-Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Testsuite: autopkgtest-pkg-python
-Homepage: https://github.com/pallets/quart
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-aiofiles,
+               python3-all,
+               python3-blinker,
+               python3-click,
+               python3-dotenv,
+               python3-flask <!nodoc>,
+               python3-hypercorn,
+               python3-hypothesis,
+               python3-itsdangerous,
+               python3-jinja2,
+               python3-markupsafe,
+               python3-poetry,
+               python3-poetry-core,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-toml,
+               python3-werkzeug (>= 2.2.0~),
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/quart
 Vcs-Git: https://salsa.debian.org/python-team/packages/quart.git
+Homepage: https://github.com/pallets/quart
+Rules-Requires-Root: no
 
 Package: python-quart-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
-Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Python ASGI web microframework with the same API as Flask (Documentation)
  Quart is a Python ASGI web microframework. It is intended to provide the
  easiest way to use asyncio functionality in a web context, especially
@@ -62,9 +61,8 @@
 
 Package: python3-quart
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: Python ASGI web microframework with the same API as Flask
  Quart is a Python ASGI web microframework. It is intended to provide the
  easiest way to use asyncio functionality in a web context, especially

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	sed -i 's,pydata_sphinx_theme,sphinx_rtd_theme,g' docs/conf.py
 	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "quart*dist-info" | head -n1)` \
 	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-quart-doc/usr/share/doc/python-quart-doc/html
 	dh_sphinxdoc
@@ -27,9 +26,13 @@
 override_dh_auto_build:
 	# The name of the project need to be written in lowercase letters,
 	# otherwise pybuild wont find the WHEEL file (as it's created from the
-	# project name starting with an capital letter.
+	# project name starting with an capital letter).
 	sed -i 's,name = "Quart",name = "quart",g' pyproject.toml
 	dh_auto_build
+	# Now undo the previous replacement again, we need to do this hack as
+	# dpkg will otherwise complain about modified source code of course in
+	# case the build is getting started twice in a row.
+	sed -i 's,name = "quart",name = "Quart",g' pyproject.toml
 
 override_dh_installexamples:
 	dh_installexamples -ppython-$(PYBUILD_NAME)-doc --doc-main-package=python3-$(PYBUILD_NAME)
@@ -41,4 +44,10 @@
 override_dh_compress:
 	dh_compress -X.py
 
+override_dh_clean:
+	rm -rf .pybuild \
+	       .mypy_cache \
+	       docs/reference/source/*
+	dh_clean
+
 .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installdocs override_dh_installexamples override_dh_installchangelogs override_dh_compress

## quart 0.19.6

=== debian/changelog ===
quart (0.19.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.19.6
  * d/control: Increase Standards-Version to 4.7.0
    No further modifications needed.
  * d/copyright: Update upstream data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 May 2024 07:24:39 +0200

quart (0.19.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.19.5
  * Rebuild patch queue from patch-queu branch
    Dropped patch (fixed upstream):
    Fix-issues-with-the-latest-black-mypy-and-pytest.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 02 Apr 2024 22:05:20 +0200

quart (0.19.4-2) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue from patch-queu branch
    Added patche:
    Fix-issues-with-the-latest-black-mypy-and-pytest.patch
    (Closes: #1066777)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Mar 2024 12:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-toml,
                python3-werkzeug (>= 2.2.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/quart
 Vcs-Git: https://salsa.debian.org/python-team/packages/quart.git
 Homepage: https://github.com/pallets/quart

## quart 0.20.0

=== docs/Makefile ===


=== debian/changelog ===
quart (0.20.0-5) unstable; urgency=medium

  * Team upload.
  * Disable flaky "datetime_headers" autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Fri, 16 Jan 2026 00:57:48 +0100

quart (0.20.0-4) unstable; urgency=medium

  * Team upload.
  * Sourcefull upload against new dh-python to
    drop the python3-importlib-metadata dependency.
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Disable useless Salsa CI jobs

 -- Alexandre Detiste <tchet@debian.org>  Thu, 15 Jan 2026 06:38:06 +0100

quart (0.20.0-3) unstable; urgency=medium

  * Team upload.
  * Copy pyproject.toml into test directory in autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 13:05:57 +0100

quart (0.20.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-toml from build-dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 14:06:46 +0200

quart (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2024 21:50:47 +0000

quart (0.19.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-49767: Fix how `max_form_memory_size` is applied when parsing
      large non-file fields (closes: #1086063).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Nov 2024 15:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,44 @@
 Source: quart
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Andrej Shadura <andrewsh@debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
 Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-aiofiles,
-               python3-all,
-               python3-blinker,
-               python3-click,
-               python3-dotenv,
-               python3-flask <!nodoc>,
-               python3-hypercorn,
-               python3-hypothesis,
-               python3-itsdangerous,
-               python3-jinja2,
-               python3-markupsafe,
-               python3-poetry,
-               python3-poetry-core,
-               python3-pytest <!nocheck>,
-               python3-pytest-asyncio <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               python3-toml,
-               python3-werkzeug (>= 2.2.0~),
-Standards-Version: 4.7.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
+ pybuild-plugin-pyproject,
+ python3-aiofiles,
+ python3-all,
+ python3-blinker,
+ python3-click,
+ python3-dotenv,
+ python3-flask <!nodoc>,
+ python3-hypercorn,
+ python3-hypothesis,
+ python3-itsdangerous,
+ python3-jinja2,
+ python3-markupsafe,
+ python3-myst-parser <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-werkzeug (>= 2.2.0~),
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/quart
 Vcs-Git: https://salsa.debian.org/python-team/packages/quart.git
 Homepage: https://github.com/pallets/quart
-Rules-Requires-Root: no
 
 Package: python-quart-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Python ASGI web microframework with the same API as Flask (Documentation)
  Quart is a Python ASGI web microframework. It is intended to provide the
  easiest way to use asyncio functionality in a web context, especially
@@ -61,8 +61,9 @@
 
 Package: python3-quart
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python ASGI web microframework with the same API as Flask
  Quart is a Python ASGI web microframework. It is intended to provide the
  easiest way to use asyncio functionality in a web context, especially

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pallets
Project: quart

## quart imp-0.1.2

=== requirements.txt ===
Quart
Flask-SQLAlchemy
